#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:	Accessing various Google services via their public API
Name:		libkgapi
Version: 24.12.2
Release:	%mkrel %rel
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		0001-Build-saslplugin-as-a-module.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6CalendarCore)
BuildRequires:	cmake(KF6Contacts)

BuildRequires:	pkgconfig(libsasl2)

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)

%files -f %{name}6_qt.lang
%{_kf6_categoriesdir}/libkgapi.categories

#--------------------------------------------------------------------

%define libkpimgapiblogger_major  6
%define libkpimgapiblogger        %mklibname kpim6gapiblogger %{libkpimgapiblogger_major}

%package -n	%{libkpimgapiblogger}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapiblogger}
Runtime Library for %{name}.

%files -n %{libkpimgapiblogger}
%{_kf6_libdir}/libKPim6GAPIBlogger.so.%{libkpimgapiblogger_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicalendar_major 6
%define libkpimgapicalendar       %mklibname kpim6gapicalendar %{libkpimgapicalendar_major}

%package -n	%{libkpimgapicalendar}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapicalendar}
Runtime Library for %{name}.

%files -n %{libkpimgapicalendar}
%{_kf6_libdir}/libKPim6GAPICalendar.so.%{libkpimgapicalendar_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapipeople_major 6
%define libkpimgapipeople       %mklibname kpim6gapipeople %{libkpimgapipeople_major}

%package -n	%{libkpimgapipeople}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapipeople}
Runtime Library for %{name}.

%files -n %{libkpimgapipeople}
%{_kf6_libdir}/libKPim6GAPIPeople.so.%{libkpimgapipeople_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicore_major     6
%define libkpimgapicore           %mklibname kpim6gapicore %{libkpimgapicore_major}

%package -n	%{libkpimgapicore}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	sasl2-plugin-kdexoauth2 >= %{version}
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapicore}
Runtime Library for %{name}.

%files -n %{libkpimgapicore}
%{_kf6_libdir}/libKPim6GAPICore.so.%{libkpimgapicore_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapidrive_major    6
%define libkpimgapidrive          %mklibname kpim6gapidrive %{libkpimgapidrive_major}

%package -n	%{libkpimgapidrive}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapidrive}
Runtime Library for %{name}.

%files -n %{libkpimgapidrive}
%{_kf6_libdir}/libKPim6GAPIDrive.so.%{libkpimgapidrive_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapilatitude_major 6
%define libkpimgapilatitude       %mklibname kpim6gapilatitude %{libkpimgapilatitude_major}

%package -n	%{libkpimgapilatitude}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapilatitude}
Runtime Library for %{name}.

%files -n %{libkpimgapilatitude}
%{_kf6_libdir}/libKPim6GAPILatitude.so.%{libkpimgapilatitude_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapimaps_major     6
%define libkpimgapimaps           %mklibname kpim6gapimaps %{libkpimgapimaps_major}

%package -n	%{libkpimgapimaps}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapimaps}
Runtime Library for %{name}.

%files -n %{libkpimgapimaps}
%{_kf6_libdir}/libKPim6GAPIMaps.so.%{libkpimgapimaps_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapitasks_major    6
%define libkpimgapitasks          %mklibname kpim6gapitasks %{libkpimgapitasks_major}

%package -n	%{libkpimgapitasks}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapitasks}
Runtime Library for %{name}.

%files -n %{libkpimgapitasks}
%{_kf6_libdir}/libKPim6GAPITasks.so.%{libkpimgapitasks_major}{,.*}

#----------------------------------------------------------------------

# TODO This one replace libkdexoauth2 provided by kdepim-runtime
#      so should we obsoletes/conflicts the old one??

%define libkdexoauth2             %mklibname sasl2-plug-kdexoauth2

%package -n	%libkdexoauth2
Summary:	Cyrus SASL 2 plugin for %{name}
Group:		System/Libraries
Provides:	sasl2-plugin-kdexoauth2 = %{version}-%{release}
Provides:	sasl-plug-kdexoauth2 = %{version}-%{release}

%description -n	%libkdexoauth2
This package provides a Cyrus SASL plugin to use Google's XOAUTH
authentication for receiving and sending mail through Google servers.

%files -n %libkdexoauth2
# Don't remove this file (it is a plugin mga#23035)
%_kf6_libdir/sasl2/libkdexoauth2.so

#----------------------------------------------------------------------

%define libkgapi_devel         %mklibname kpim6gapi -d

%package -n	%{libkgapi_devel}
Summary:	Devel files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpimgapiblogger} = %{version}
Requires:	%{libkpimgapicalendar} = %{version}
Requires:	%{libkpimgapipeople} = %{version}
Requires:	%{libkpimgapidrive} = %{version}
Requires:	%{libkpimgapicore} = %{version}
Requires:	%{libkpimgapilatitude} = %{version}
Requires:	%{libkpimgapimaps} = %{version}
Requires:	%{libkpimgapitasks} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	kgapi-devel = %{version}-%{release}
Provides:	kpim6gapi-devel = %{version}-%{release}
Provides:	kpimgapi-devel = %{version}-%{release}
Provides:	libkpim6gapi-devel = %{version}-%{release}

%description -n %{libkgapi_devel}
Devel files for %{name}.

%files -n %{libkgapi_devel}
%{_includedir}/KPim6/*
%{_kf6_libdir}/libKPim6GAPI*.so
%{_kf6_libdir}/cmake/KPim6GAPI/

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147253
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136654
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123899
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116451
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114146
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105643
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097510
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087702
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085198
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073318
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069966
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058712
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2046594
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037748
- New version 24.01.95

* Fri Jan 26 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2034974
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025247
- New version 24.01.85

* Fri Nov 17 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007288
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989691
- New version 23.08.1

* Fri Jun 02 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1960526
- sasl2-plugin-kdexoauth2 is required (mga#31063)

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959176
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946579
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941872
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922994
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911488
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905339
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886857
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880843
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873156
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854046
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849552
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846068
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1765135
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724149
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718430
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698637
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694160
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655688
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644070
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633886
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627129
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614997
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604193
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596931
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584578
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568208
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559397
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540654
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513373
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467027
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457973
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447435
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425064
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390519
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387730
- New version 19.03.90

* Sun Apr 07 2019 wally <wally> 18.12.3-3.mga7
+ Revision: 1386664
- build sasl plugin as a module

* Sun Mar 31 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1383093
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375727
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365642
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356579
- New version 18.12.1

* Mon Jan 07 2019 daviddavid <daviddavid> 18.12.0-2.mga7
+ Revision: 1350774
- do not remove needed libkdexoauth2.so symlink as it is a plugin (mga#23035)

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339584
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332814
- New version 18.08.3

* Mon Nov 19 2018 daviddavid <daviddavid> 18.08.2-4.mga7
+ Revision: 1331614
- fix again sasl2 plugin kdexoauth2 pkg name
- conflict old libkdexoauth2_3
- fix sasl2 plugin kdexoauth2 pkg name
- libraries should recommends main pkg for lang files
- add missing provides on sasl2-plugin-kdexoauth2
- main pkg recommends sasl2-plugin-kdexoauth2
+ neoclust <neoclust>
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298944
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229109
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201963
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194985
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1190391
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143119
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136877
- New version 17.07.90

* Thu Jul 27 2017 daviddavid <daviddavid> 17.04.3-1.mga7
+ Revision: 1131491
- New version 17.04.3 (says hello libkgapi! now part of the kde apps stack)
- switch to Qt5WebEngineWidgets
- update URL

* Thu Dec 15 2016 neoclust <neoclust> 5.3.1-2.mga6
+ Revision: 1075426
- Rebuild against new kdepim stack

* Thu Sep 08 2016 daviddavid <daviddavid> 5.3.1-1.mga6
+ Revision: 1050786
- new version: 5.3.1

* Tue Aug 23 2016 daviddavid <daviddavid> 5.3.0-1.mga6
+ Revision: 1048050
- new version: 5.3.0

* Wed Jun 08 2016 daviddavid <daviddavid> 5.1.0-1.mga6
+ Revision: 1020920
- new version: 5.1.0
- port to Qt5/Kf5
- update URL and update description

* Wed Feb 03 2016 umeabot <umeabot> 2.2.0-4.mga6
+ Revision: 934015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 743239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 681557
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 2.2.0-1.mga5
+ Revision: 655818
- 2.2.0

* Mon Jul 14 2014 lmenut <lmenut> 2.1.80-1.mga5
+ Revision: 652077
- Update to 2.1.80

* Thu Apr 17 2014 lmenut <lmenut> 2.1.1-1.mga5
+ Revision: 615682
- Update to 2.1.1

* Tue Mar 04 2014 fwang <fwang> 2.1.0-1.mga5
+ Revision: 599318
- update file list
- update file list
- 2.1.0
- bump req
+ neoclust <neoclust>
- New version 2.0.2 ( Bugfix release)

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 529340
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- boost is not required

* Tue Jul 09 2013 fwang <fwang> 2.0.1-2.mga4
+ Revision: 451668
- rebuild for new boost

* Thu Jun 06 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 438254
- update file list
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 0.4.4-1.mga3
+ Revision: 332516
- new version 0.4.4

* Mon Oct 22 2012 fwang <fwang> 0.4.3-1.mga3
+ Revision: 309090
- new version 0.4.3

* Mon Aug 27 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 284570
- new version 0.4.2

* Sun Jul 15 2012 fwang <fwang> 0.4.1-2.mga3
+ Revision: 270934
- obsoletes old libkgoogle

* Tue Jun 12 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 259942
- new version 0.4.1

* Sun Jun 10 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 259316
- imported package libkgapi

